Author Topic: 3dcorbit  (Read 1913 times)

0 Members and 1 Guest are viewing this topic.

Pintech

  • Guest
3dcorbit
« on: May 17, 2005, 10:20:55 PM »
How do I use the 3d orbit continuos(3dcorbit) in auto lisp?

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
3dcorbit
« Reply #1 on: May 17, 2005, 11:25:45 PM »
Code: [Select]
(defun c:test ()
  (command "_line" pause pause "")
  (command "_3dorbit")
  (getpoint "\nSelect point")
)


This is an example of using it from a user defined function.

.... continuous ?
To my knowledge, drawing commands can't be used while ORBIT is active. It is just used to set the current VIEW.

regards
kwb
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

Keith™

  • Villiage Idiot
  • Seagull
  • Posts: 16899
  • Superior Stupidity at its best
3dcorbit
« Reply #2 on: May 17, 2005, 11:50:31 PM »
not sure continuous orbit can be implemented via lisp .... it requires a point, direction vector and speed to determing rotation angle and rotation speed. There MIGHT be something but I wouldn't hold my breath
Proud provider of opinion and arrogance since November 22, 2003 at 09:35:31 am
CadJockey Militia Field Marshal

Find me on https://parler.com @kblackie